commit f7bebf4c07dffaa75c77152e8004aa0ccbf6eeac
Author: Peter Bergner <bergner@linux.ibm.com>
Date:   Thu Jul 18 18:01:46 2024 -0500

    rs6000: Catch unsupported ABI errors when using -mrop-protect [PR114759,PR115988]
    
    2024-07-18  Peter Bergner  <bergner@linux.ibm.com>
    
    gcc/testsuite/
            PR target/114759
            PR target/115988
            * gcc.target/powerpc/pr114759-3.c: Catch unsupported ABI errors.
    
    (cherry picked from commit b2f47a5c1d5204131660ea0372a08e692df8844e)

diff --git a/gcc/testsuite/gcc.target/powerpc/pr114759-3.c b/gcc/testsuite/gcc.target/powerpc/pr114759-3.c
index 6770a9aec3b..e2f1d42e111 100644
--- a/gcc/testsuite/gcc.target/powerpc/pr114759-3.c
+++ b/gcc/testsuite/gcc.target/powerpc/pr114759-3.c
@@ -2,7 +2,8 @@
 /* { dg-do compile } */
 /* { dg-options "-O2 -mdejagnu-cpu=power7 -mrop-protect" } */
 
-/* Verify we emit an error if we use -mrop-protect with an unsupported cpu.  */
+/* Verify we emit an error if we use -mrop-protect with an unsupported cpu
+   or ABI.  */
 
 extern void foo (void);
 
@@ -17,3 +18,4 @@ bar (void)
    in the final line (which is all that dg-error inspects). Hence, we have
    to tell dg-error to ignore the line number.  */
 /* { dg-error "'-mrop-protect' requires '-mcpu=power8'" "PR114759" { target *-*-* } 0 } */
+/* { dg-error "'-mrop-protect' requires the ELFv2 ABI" "PR114759" { target { ! rop_ok } } 0 } */

